public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-ftp/ftpbase/
Date: Mon, 24 Jun 2019 10:30:07 +0000 (UTC)	[thread overview]
Message-ID: <1561372172.a8d342f6b7484c4787cdbc120f29e277b1c3d54f.mgorny@gentoo> (raw)

commit:     a8d342f6b7484c4787cdbc120f29e277b1c3d54f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu May 30 12:12:07 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jun 24 10:29:32 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8d342f6

net-ftp/ftpbase: Utilize {group,user}/ftp

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 net-ftp/ftpbase/ftpbase-0.01-r3.ebuild | 39 ++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/net-ftp/ftpbase/ftpbase-0.01-r3.ebuild b/net-ftp/ftpbase/ftpbase-0.01-r3.ebuild
new file mode 100644
index 00000000000..c333840faa1
--- /dev/null
+++ b/net-ftp/ftpbase/ftpbase-0.01-r3.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit eutils pam user
+
+DESCRIPTION="FTP layout package"
+HOMEPAGE="https://www.gentoo.org/"
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
+IUSE="pam"
+
+DEPEND="pam? ( virtual/pam )
+	!<net-ftp/proftpd-1.2.10-r6
+	!<net-ftp/pure-ftpd-1.0.20-r2
+	!<net-ftp/vsftpd-2.0.3-r1"
+RDEPEND="
+	acct-group/ftp
+	acct-user/ftp"
+
+S=${WORKDIR}
+
+src_install() {
+	# The ftpusers file is a list of people who are NOT allowed
+	# to use the ftp service.
+	insinto /etc
+	doins "${FILESDIR}/ftpusers" || die
+
+	cp "${FILESDIR}/ftp-pamd-include" "${T}" || die
+	if use elibc_FreeBSD; then
+		sed -i -e "/pam_listfile.so/s/^.*$/account  required  pam_ftpusers.so no_warn disallow/" \
+			"${T}"/ftp-pamd-include || die
+	fi
+	newpamd "${T}"/ftp-pamd-include ftp
+}


             reply	other threads:[~2019-06-24 10:30 UTC|newest]

Thread overview: 15+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-06-24 10:30 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-01-15  9:51 [gentoo-commits] repo/gentoo:master commit in: net-ftp/ftpbase/ Yixun Lan
2021-08-24  7:04 Conrad Kostecki
2021-07-23 19:50 Conrad Kostecki
2021-01-24 10:33 Mikle Kolyada
2020-02-08 14:18 David Seifert
2019-11-06  9:56 Michał Górny
2019-10-12 21:35 Mikle Kolyada
2019-10-12 21:30 Matt Turner
2019-10-11 22:32 Sergei Trofimovich
2019-10-07 19:12 Sergei Trofimovich
2019-10-07 10:44 Agostino Sarubbo
2019-10-07 10:38 Agostino Sarubbo
2019-10-07  7:29 Agostino Sarubbo
2018-01-05  1:07 Mart Raudsepp

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1561372172.a8d342f6b7484c4787cdbc120f29e277b1c3d54f.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox